import { jsx } from "react/jsx-runtime";
import { TokenMTL as TokenMTL$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenMTL = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "MTL", "data-name": "TokenMTL", ...props, children: /* @__PURE__ */ jsx(TokenMTL$1, { variant }) });
  }
);
TokenMTL.displayName = "TokenMTL";
Object.assign(TokenMTL, { isGdsIcon: true });
export {
  TokenMTL
};
